textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

flareshader
{
        cull none
        {
                map textures/pad_gfx/flareb.tga
                blendfunc gl_one gl_one
                rgbgen vertex
        }
}

textures/pad_gfx02b/beam_yellow
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_yellow.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_gfx02b/beam_grey
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_grey.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_kitchen/microglass03
{
	qer_editorimage	textures/pad_kitchen/microglass03.tga
              surfaceparm trans
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/pad_kitchen/microglass03.tga
        blendfunc gl_one gl_one
    }
}

textures/pad_tex02/padjump_high
{
	qer_editorimage textures/pad_tex02/padjump_high.tga
	{
		map textures/pad_tex02/padjump_high.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/pad_tex02/padjump_light03.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1
	}
}

textures/pad_tex02/padjump_highred
{
	qer_editorimage textures/pad_tex02/padjump_highred.tga
	{
		map textures/pad_tex02/padjump_highred.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/pad_tex02/padjump_light01.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1
	}
}

textures/pad_tex02/padlolly_red
{

	qer_editorimage textures/pad_tex02/padani_red.tga	
	surfaceparm nodamage
	q3map_surfacelight 200

	
	{
		map textures/pad_tex02/padani_red.tga
		rgbgen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	
	{
		animmap 2 textures/pad_tex02/padani_flaglog01.tga textures/pad_tex02/padani_flaglog03.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 2
	}
	
}

textures/pad_tex02/padlolly_blue
{
	qer_editorimage textures/pad_tex02/padani_blue.tga	
	surfaceparm nodamage
	q3map_surfacelight 200

	
	{
		map textures/pad_tex02/padani_blue.tga
		rgbgen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	
	{
		animmap 2 textures/pad_tex02/padani_flaglog04.tga textures/pad_tex02/padani_flaglog02.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 2
	}
	
}

textures/pad_tex02/padbox5
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/pad_tex02/padbox_ora.tga
	q3map_sun	1 1 1 190 -58 90
	q3map_surfacelight 200

        skyparms env/padbox5 - -
       {
		map textures/pad_tex02/skystuff2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.02 0.04
		tcmod scale 1 2
	}
 {
		map textures/pad_tex02/skystuff2b.tga
		blendfunc gl_one gl_one
		tcmod scroll -0.01 -0.03
		tcmod scale 1 2
	}
}

textures/pad_maps/padlamp02
{
	qer_editorimage textures/pad_maps/padlamp02.tga
	q3map_surfacelight 1000
              q3map_flareshader flareshader
	
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_maps/padlamp02.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_maps/padlamp_flash.tga
		
		blendfunc gl_one gl_one
	}
}

textures/pad_maps/padlamp03
{
	qer_editorimage textures/pad_maps/padlamp03.tga
	q3map_surfacelight 1000
              q3map_flareshader flareshader
	
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_maps/padlamp03.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_maps/padlamp_flash.tga
		
		blendfunc gl_one gl_one
	}
}

textures/pad_maps/weaplight_blue
{
	qer_editorimage textures/pad_maps/weaplight_blue.tga
	q3map_surfacelight 150
	
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_maps/weaplight_blue.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_maps/weaplamp_flash.tga
		
		blendfunc gl_one gl_one
	}
}

textures/pad_maps/weaplight_red
{
	qer_editorimage textures/pad_maps/weaplight_red.tga
	q3map_surfacelight 150
	
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_maps/weaplight_red.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_maps/weaplamp_flash.tga
		
		blendfunc gl_one gl_one
	}
}

textures/pad_tex02/num01
{    
     surfaceparm	nomarks   
     surfaceparm	trans
     surfaceparm pointlight
     polygonoffset
        {
		map textures/pad_tex02/num01.tga
               		blendfunc add
		rgbgen vertex
	}
}

textures/pad_tex02/num02
{    
     surfaceparm	nomarks   
     surfaceparm	trans
     surfaceparm pointlight
     polygonoffset
        {
		map textures/pad_tex02/num02.tga
               		blendfunc add
		rgbgen vertex
	}
}

textures/pad_tex02/num03
{    
     surfaceparm	nomarks   
     surfaceparm	trans
     surfaceparm pointlight
     polygonoffset
        {
		map textures/pad_tex02/num03.tga
               		blendfunc add
		rgbgen vertex
	}
}

textures/pad_tex02/num04
{    
     surfaceparm	nomarks   
     surfaceparm	trans
     surfaceparm pointlight
     polygonoffset
        {
		map textures/pad_tex02/num04.tga
               		blendfunc add
		rgbgen vertex
	}
}

textures/pad_tex02/num05
{    
     surfaceparm	nomarks   
     surfaceparm	trans
     surfaceparm pointlight
     polygonoffset
        {
		map textures/pad_tex02/num05.tga
               		blendfunc add
		rgbgen vertex
	}
}

textures/pad_tex02/num06
{    
     surfaceparm	nomarks   
     surfaceparm	trans
     surfaceparm pointlight
     polygonoffset
        {
		map textures/pad_tex02/num06.tga
               		blendfunc add
		rgbgen vertex
	}
}

textures/pad_tex02/arrow01
{    
     surfaceparm	nomarks   
     surfaceparm	trans
     surfaceparm pointlight
     polygonoffset
        {
		map textures/pad_tex02/arrow01.tga
               		blendfunc add
		rgbgen vertex
	}
}

textures/pad_tex02/arrow02
{    
     surfaceparm	nomarks   
     surfaceparm	trans
     surfaceparm pointlight
     polygonoffset
        {
		map textures/pad_tex02/arrow02.tga
               		blendfunc add
		rgbgen vertex
	}
}

textures/pad_tex02/blueflag
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
     deformvertexes wave 30 sin 0 3 0 .2
     deformvertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_tex02/blueflag.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_tex02/redflag
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
     deformvertexes wave 30 sin 0 3 0 .2
     deformvertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_tex02/redflag.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

